Package com.independentsoft.office.odf.charts

# Class ChartContent

java.lang.Object
com.independentsoft.office.odf.charts.ChartContent

public class ChartContent extends Object
The Class ChartContent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartContent​(byte[] buffer, Document mainDocument)`
  Instantiates a new chart content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartContent`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `AutomaticStyles`
  `getAutomaticStyles()`
  Gets the automatic styles.
  `ChartBody`
  `getBody()`
  Gets the body.
  `List<Font>`
  `getFonts()`
  Gets the fonts.
  `OfficeScripts`
  `getOfficeScripts()`
  Gets the office scripts.
  `String`
  `toString()`
  Converts the value of the current ChartContent object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartContent

    public ChartContent​(byte[] buffer, Document mainDocument) throws XMLStreamException
    Instantiates a new chart content.
    Parameters:
      `buffer` - the buffer
      `mainDocument` - the main document
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ChartContent clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChartContent object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getBody

    public ChartBody getBody()
    Gets the body.
    Returns:
      the body

  - ### getAutomaticStyles

    public AutomaticStyles getAutomaticStyles()
    Gets the automatic styles.
    Returns:
      the automatic styles

  - ### getFonts

    public List<Font> getFonts()
    Gets the fonts.
    Returns:
      the fonts

  - ### getOfficeScripts

    public OfficeScripts getOfficeScripts()
    Gets the office scripts.
    Returns:
      the office scripts